<?php

namespace App\Domains\Product\Models\Setting;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class GenderSizeGuide extends Model
{
    use HasFactory;

    protected $fillable = ['type_id', 'size_on_label', 'values', 'gender'];

    public function type()
    {
        return $this->belongsTo(Type::class);
    }
}
