<?php

namespace App\Domains\Product\Models\Setting;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'value'];

    public static function option($name)
    {
        return self::where('name', $name)->value('value');
    }
}
