<?php

namespace App\Http\Controllers;

use App\Domains\Product\Models\Photo;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class DownloadController extends Controller
{
    public function index($id)
    {
        $photo = Photo::find($id);

        $headers = [

            'Content-Type'        => 'application/jpeg',

            'Content-Disposition' => 'attachment; filename="testing.jpg"',

        ];

        return Storage::disk('s3')->response($photo->url);
    }
}
