<div class="c-sidebar c-sidebar-dark c-sidebar-fixed c-sidebar-lg-hide" id="sidebar">
    <div class="c-sidebar-brand d-lg-down-none">
{{--        <svg class="c-sidebar-brand-full" width="118" height="46" alt="CoreUI Logo">--}}
{{--            <use xlink:href="{{ asset('img/brand/coreui.svg#full') }}"></use>--}}
{{--        </svg>--}}
{{--        <svg class="c-sidebar-brand-minimized" width="46" height="46" alt="CoreUI Logo">--}}
{{--            <use xlink:href="{{ asset('img/brand/coreui.svg#signet') }}"></use>--}}
{{--        </svg>--}}
        <h4>{{appName()}}</h4>
    </div><!--c-sidebar-brand-->

    <ul class="c-sidebar-nav">
        <li class="c-sidebar-nav-item">
            <x-utils.link
                class="c-sidebar-nav-link"
                :href="route('frontend.index')"
                :active="activeClass(Route::is('frontend.index'), 'c-active')"
                icon="c-sidebar-nav-icon cil-speedometer"
                :text="__('Home')" />
        </li>

        @if (
            ($logged_in_user->hasAllAccess() ||
            (
                $logged_in_user->can('admin.access.user.list') ||
                $logged_in_user->can('admin.access.user.deactivate') ||
                $logged_in_user->can('admin.access.user.reactivate') ||
                $logged_in_user->can('admin.access.user.clear-session') ||
                $logged_in_user->can('admin.access.user.impersonate') ||
                $logged_in_user->can('admin.access.user.change-password')
            )) && config('boilerplate.access.user.enabled')
        )
            <li class="c-sidebar-nav-title">@lang('System')</li>

            <li class="c-sidebar-nav-dropdown {{ activeClass(Route::is('admin.auth.user.*') || Route::is('admin.auth.role.*'), 'c-open c-show') }}">
                <x-utils.link
                    href="#"
                    icon="c-sidebar-nav-icon cil-user"
                    class="c-sidebar-nav-dropdown-toggle"
                    :text="__('Access')" />

                <ul class="c-sidebar-nav-dropdown-items">
                    @if (
                        $logged_in_user->hasAllAccess() ||
                        (
                            $logged_in_user->can('admin.access.user.list') ||
                            $logged_in_user->can('admin.access.user.deactivate') ||
                            $logged_in_user->can('admin.access.user.reactivate') ||
                            $logged_in_user->can('admin.access.user.clear-session') ||
                            $logged_in_user->can('admin.access.user.impersonate') ||
                            $logged_in_user->can('admin.access.user.change-password')
                        )
                    )
                        <li class="c-sidebar-nav-item">
                            <x-utils.link
                                :href="route('admin.auth.user.index')"
                                class="c-sidebar-nav-link"
                                :text="__('User Management')"
                                :active="activeClass(Route::is('admin.auth.user.*'), 'c-active')" />
                        </li>
                    @endif

                    @if ($logged_in_user->hasAllAccess() && config('boilerplate.access.user.role.roles'))
                        <li class="c-sidebar-nav-item">
                            <x-utils.link
                                :href="route('admin.auth.role.index')"
                                class="c-sidebar-nav-link"
                                :text="__('Role Management')"
                                :active="activeClass(Route::is('admin.auth.role.*'), 'c-active')" />
                        </li>
                    @endif
                </ul>
            </li>
        @endif

        @if ($logged_in_user->hasAllAccess())
            <li class="c-sidebar-nav-dropdown {{ activeClass(Route::is('admin.product.*'), 'c-open c-show') }}">
                <x-utils.link
                    href="#"
                    icon="c-sidebar-nav-icon cil-list"
                    class="c-sidebar-nav-dropdown-toggle"
                    :text="__('Products')" />

                <ul class="c-sidebar-nav-dropdown-items">
                    <li class="c-sidebar-nav-item">
                        <x-utils.link
                            :href="route('admin.product.create')"
                            class="c-sidebar-nav-link"
                            :text="__('Create New Product')" />
                    </li>
                    <li class="c-sidebar-nav-item">
                        <x-utils.link
                            :href="route('admin.product.all')"
                            class="c-sidebar-nav-link"
                            :text="__('All')" />
                    </li>
{{--                    <li class="c-sidebar-nav-item">--}}
{{--                        <x-utils.link--}}
{{--                            :href="route('admin.product.created')"--}}
{{--                            class="c-sidebar-nav-link"--}}
{{--                            :text="__('Created')" />--}}
{{--                    </li>--}}
{{--                    <li class="c-sidebar-nav-item">--}}
{{--                        <x-utils.link--}}
{{--                            :href="route('admin.product.pre_check')"--}}
{{--                            class="c-sidebar-nav-link"--}}
{{--                            :text="__('Pre Checked')" />--}}
{{--                    </li>--}}
                    <li class="c-sidebar-nav-item">
                        <x-utils.link
                            :href="route('admin.product.arrival_check')"
                            class="c-sidebar-nav-link"
                            :text="__('Checks')" />
                    </li>
                    <li class="c-sidebar-nav-item">
                        <x-utils.link
                            :href="route('admin.product.uploaded')"
                            class="c-sidebar-nav-link"
                            :text="__('Uploads')" />
                    </li>
                </ul>
            </li>
        @endif

        @if ($logged_in_user->hasAllAccess())
            <li class="c-sidebar-nav-item">
                <x-utils.link
                    class="c-sidebar-nav-link"
                    :href="route('admin.setting.index')"
                    :active="activeClass(Route::is('admin.setting.index'), 'c-active')"
                    icon="c-sidebar-nav-icon cil-speedometer"
                    :text="__('Settings')" />
            </li>
        @endif

        @if ($logged_in_user->hasAllAccess() && config('log-viewer.route.enabled'))
            <li class="c-sidebar-nav-dropdown">
                <x-utils.link
                    href="#"
                    icon="c-sidebar-nav-icon cil-list"
                    class="c-sidebar-nav-dropdown-toggle"
                    :text="__('Logs')" />

                <ul class="c-sidebar-nav-dropdown-items">
                    <li class="c-sidebar-nav-item">
                        <x-utils.link
                            :href="route('log-viewer::dashboard')"
                            class="c-sidebar-nav-link"
                            :text="__('Dashboard')" />
                    </li>
                    <li class="c-sidebar-nav-item">
                        <x-utils.link
                            :href="route('log-viewer::logs.list')"
                            class="c-sidebar-nav-link"
                            :text="__('Logs')" />
                    </li>
                </ul>
            </li>
        @endif
    </ul>

    <button class="c-sidebar-minimizer c-class-toggler" type="button" data-target="_parent" data-class="c-sidebar-minimized"></button>
</div><!--sidebar-->
