<x-backend.card>
    <x-slot name="header">
        @lang('Rework Shopify Formats')
    </x-slot>

    <x-slot name="body">

        <form action="{{route('admin.setting.store')}}" method="POST" class="form-inline">
            @csrf
            @method('PUT')
            <div class="form-group col-lg-12">
                <input name="settings[rework_shopify_title_format]" value="{{Setting::option('rework_shopify_title_format')}}" class="form-control w-100" placeholder="Title Format" required>
            </div>
            <div class="form-group col-lg-12 mt-3">
                <textarea name="settings[rework_shopify_description_format]" class="form-control w-100" rows="6" placeholder="Description Format" required>{{Setting::option('rework_shopify_description_format')}}</textarea>
            </div>
            @include('backend.setting.includes.partials.key-codes')
            <div class="form-group col-lg-12 mt-3">
                <button type="submit" class="btn btn-primary w-100">Update</button>
            </div>
        </form>

    </x-slot>
</x-backend.card>
