<?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.backend.card','data' => []]); ?>
<?php $component->withName('backend.card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <?php echo app('translator')->get('Damage Preset'); ?>
     <?php $__env->endSlot(); ?>

     <?php $__env->slot('body', null, []); ?> 

        <table class="table table-bordered">
            <thead>
                <th>Value</th>
                <th>Action</th>
            </thead>
            <tbody>
            <?php $__currentLoopData = $damagePresets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $damagePreset): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($damagePreset->name); ?></td>
                    <td>
                        <form action="<?php echo e(route('admin.setting.damage_preset.update', $damagePreset->id)); ?>" method="POST" id="damage_preset_update_<?php echo e($damagePreset->id); ?>" style="display: none" class="form-inline">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>
                            <div class="form-group col-lg-6">
                                <input name="name" class="form-control w-100" value="<?php echo e($damagePreset->name); ?>" required>
                            </div>
                            <div class="form-group col-lg-3">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-3">
                                <button type="button" onclick="hideUpdateForm('damage_preset', '<?php echo e($damagePreset->id); ?>')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="damage_preset_action_<?php echo e($damagePreset->id); ?>">
                            <button onclick="showUpdateForm('damage_preset', '<?php echo e($damagePreset->id); ?>')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="<?php echo e(route('admin.setting.damage_preset.delete', $damagePreset->id)); ?>" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td colspan="2">
                    <form action="<?php echo e(route('admin.setting.damage_preset.store')); ?>" method="POST" class="form-inline">
                        <?php echo csrf_field(); ?>
                        <div class="form-group col-lg-9">
                            <input name="name" class="form-control w-100" placeholder="Add New" required>
                        </div>
                        <div class="form-group col-lg-3">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

     <?php $__env->endSlot(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
<?php /**PATH /var/www/html/web2/resources/views/backend/setting/includes/partials/damage-preset.blade.php ENDPATH**/ ?>