<?php $model = app('\App\Domains\Product\Models\Product'); ?>



<?php $__env->startSection('title', __('Create Product')); ?>

<?php $__env->startSection('content'); ?>

    <span id="ajax_call_alerts"></span>

    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.forms.post','data' => ['action' => route('admin.product.store'),'id' => 'productCreateForm','enctype' => 'multipart/form-data','onsubmit' => 'return false;']]); ?>
<?php $component->withName('forms.post'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['action' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('admin.product.store')),'id' => 'productCreateForm','enctype' => 'multipart/form-data','onsubmit' => 'return false;']); ?>
        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.backend.card','data' => []]); ?>
<?php $component->withName('backend.card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
             <?php $__env->slot('header', null, []); ?> 
                <?php echo app('translator')->get('Create Product'); ?>
             <?php $__env->endSlot(); ?>

             <?php $__env->slot('headerActions', null, []); ?> 
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.utils.link','data' => ['class' => 'card-header-action','href' => route('admin.product.all'),'text' => __('Cancel')]]); ?>
<?php $component->withName('utils.link'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['class' => 'card-header-action','href' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('admin.product.all')),'text' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(__('Cancel'))]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
             <?php $__env->endSlot(); ?>

             <?php $__env->slot('body', null, []); ?> 
                <div class="row">
                    <div class="col-lg-5">

                        <input type="file"
                               name="photos[]"
                               id="file-uploader"
                               multiple
                               data-allow-reorder="true"
                               data-max-files="4"/>

                        <span style="color:red;" id="photos-error"></span>

                        <div class="rework_section">
                            <div class="form-group row">
                                <label for="brand_id"><?php echo app('translator')->get('Rework'); ?></label>
                                <input type="checkbox" id="rework_check" name="rework_check">
                            </div>
                        </div>

                    </div>
                    <input type="hidden" name="user_id" value="<?php echo e(auth()->id()); ?>"/>
                    <div class="col-lg-7">
                        <div class="form-group row">
                            <label for="brand_id" class="col-md-4 col-form-label"><?php echo app('translator')->get('Brand'); ?></label>

                            <div class="col-md-8">
                                <input class="form-control" autocomplete="off" name="brand_id" value="<?php echo e(isset($product->brand->name) ? $product->brand->name : ''); ?>" list="brand_list" id="brand_id" placeholder="Brand" required>
                                <datalist id="brand_list">
                                    <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option><?php echo e($brand->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </datalist>
                            </div>
                        </div><!--form-group-->

                        <div class="form-group row">
                            <label for="type_id" class="col-md-4 col-form-label"><?php echo app('translator')->get('Product Type'); ?></label>

                            <div class="col-md-8">
                                <select class="form-control" name="type_id" id="type_id" onchange="getProductTypeFields(this.value)" required>
                                    <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($type->id); ?>" <?php if($product && $product->type_id == $type->id): ?> selected <?php endif; ?>><?php echo e($type->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div><!--form-group-->


                        <div class="form-group row">
                            <label for="embroidered_or_printed"
                                   class="col-md-4 col-form-label"><?php echo app('translator')->get('Embroidered or Printed'); ?></label>

                            <div class="col-md-8">
                                <select class="form-control" name="embroidered_or_printed" id="embroidered_or_printed">
                                    <option value="">Select Embroidered/Printed</option>
                                    <?php $__currentLoopData = $embroideredPrinted; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $embroideredPrint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($embroideredPrint->name); ?>"><?php echo e($embroideredPrint->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div><!--form-group-->


                        <?php $__currentLoopData = $variants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $values): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="form-group row">
                                <label for="variants_id<?php echo e($key); ?>" class="col-md-4 col-form-label"><?php echo app('translator')->get($key); ?></label>

                                <div class="col-md-8">
                                    <div class="original_variant">
                                        <div id="variants_for_clone<?php echo e($key); ?>" class="mb-1">
                                            <input type="hidden" name="variant_name[]" value="<?php echo e($key); ?>">
                                            <select name="variant_value[]" class="variant_select2 form-control" id="variants_id<?php echo e($key); ?>" required>
                                                <option value="">Select <?php echo e($key); ?></option>
                                                <?php $__currentLoopData = $values; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($value); ?>"><?php echo e($value); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div id="variants_cloned">

                                    </div>

                                    <a onclick="addAnotherVariant('<?php echo e($key); ?>')" style="cursor: pointer; color:blue;">+Add another <?php echo e($key); ?></a>
                                </div>
                            </div><!--form-group-->
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                        <?php $__currentLoopData = $typeFields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $typeField): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="form-group row type_fields_div type_fields_div_<?php echo e($typeField->type_id); ?>" style="display: none;">
                            <label for="type_field_<?php echo e($typeField->id); ?>" class="col-md-4 col-form-label"><?php echo app('translator')->get($typeField->name); ?></label>

                            <div class="col-md-8">
                                <input type="hidden" name="type_fields_id[]" value="<?php echo e($typeField->type_id); ?>">
                                <input type="hidden" name="type_fields_name[]" value="<?php echo e($typeField->name); ?>">
                                <input type="text" name="type_fields_value[]" id="type_field_<?php echo e($typeField->id); ?>" class="type_field_input form-control"
                                       placeholder="<?php echo e(__($typeField->name)); ?>" autocomplete="off" />
                            </div>
                        </div><!--form-group-->
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                        <div class="form-group row">
                            <label for="size_on_label" class="col-md-4 col-form-label"><?php echo app('translator')->get('Size on Label'); ?></label>

                            <div class="col-md-8">
                                <select class="form-control" name="size_on_label" id="size_on_label" required>
                                    <option value="">Select Size</option>
                                    <?php $__currentLoopData = $sizeOnLabels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sizeOnLebel): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($sizeOnLebel->name); ?>"><?php echo e($sizeOnLebel->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div><!--form-group-->


                        <div class="form-group row true_size_field true_size_field_hide">
                            <label for="true_size" class="col-md-4 col-form-label"><?php echo app('translator')->get('True Size'); ?></label>

                            <div class="col-md-8">
                                <select class="form-control" name="true_size" id="true_size" required>
                                    <option value="">Select True Size</option>
                                    <?php $__currentLoopData = $truesizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $truesize): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($truesize->name); ?>"><?php echo e($truesize->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div><!--form-group-->

                        <div class="form-group row">
                            <label for="recommended_size_id" class="col-md-4 col-form-label"><?php echo app('translator')->get('Recommended Size'); ?></label>

                            <div class="col-md-8">
                                <input class="form-control" autocomplete="off" name="recommended_size_id" list="recommended_size_list" id="recommended_size_id" placeholder="Recommended Size" required>
                                <datalist id="recommended_size_list">
                                    <?php $__currentLoopData = $recommendedSizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $recommended_size): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option><?php echo e($recommended_size->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </datalist>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="material_id" class="col-md-4 col-form-label"><?php echo app('translator')->get('Material'); ?></label>

                            <div class="col-md-8">
                                <input class="form-control" autocomplete="off" name="material_id" list="material_list" id="material_id" placeholder="Material" required>
                                <datalist id="material_list">
                                    <?php $__currentLoopData = $materials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $material): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option><?php echo e($material->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </datalist>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="damage_preset" class="col-md-4 col-form-label"><?php echo app('translator')->get('Damage Preset'); ?></label>

                            <div class="col-md-8">
                                <select class="form-control" name="damage_preset" id="damage_preset" >
                                    <?php $__currentLoopData = $damagePresets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $damagePreset): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($damagePreset->name); ?>" <?php if(\Str::contains($damagePreset->name, 'Vintage Quality')): ?> selected <?php endif; ?>><?php echo e($damagePreset->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <input style="display:none;" type="text" class="form-control" name="" id="damage_preset_text">
                            </div>
                        </div><!--form-group-->




                        <div class="form-group row">
                            <label for="gender" class="col-md-4 col-form-label"><?php echo app('translator')->get('Gender'); ?></label>

                            <div class="col-md-8">
                                <select class="form-control" name="gender" id="gender" >
                                    <?php $__currentLoopData = $genders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gender): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($gender->gender); ?>" <?php if($product && $product->gender == $gender->gender): ?> selected <?php endif; ?>><?php echo e($gender->gender); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div><!--form-group-->

                        <div class="form-group row">
                            <label for="unique_tag" class="col-md-4 col-form-label"><?php echo app('translator')->get('Unique Tag'); ?></label>

                            <div class="col-md-8">
                                <input type="text" name="unique_tag" value="<?php echo e($unique_tag); ?>" id="unique_tag" class="form-control"
                                       placeholder="<?php echo e(__('Unique Tag')); ?>" required readonly/>
                            </div>
                        </div><!--form-group-->

                        <div class="form-group row rework_field rework_field_hide">
                            <label for="unique_tag" class="col-md-4 col-form-label"><?php echo app('translator')->get('Rework'); ?></label>

                            <div class="col-md-8">
                            <select class="form-control" name="" id="rework_id">
                                    <?php $__currentLoopData = $reworks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rework): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($rework->name); ?>" <?php if($rework->name == 'COOGI'): ?> selected <?php endif; ?>><?php echo e($rework->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div><!--form-group-->

                    </div>
                </div>
             <?php $__env->endSlot(); ?>

             <?php $__env->slot('footer', null, []); ?> 
                <button class="btn btn-sm btn-primary float-right" type="submit"><?php echo app('translator')->get('Complete'); ?></button>
             <?php $__env->endSlot(); ?>
         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-scripts'); ?>
<script>
    function addAnotherVariant(id){
       $('#variants_for_clone'+id).first().clone(true).appendTo('#variants_cloned');
    }

    function getProductTypeFields(id)
    {
        $(".type_fields_div .type_field_input").val('');
        $(".type_fields_div").hide();
        $(".type_fields_div input").prop('required', false);

        $(".type_fields_div_"+id).show();
        $(".type_fields_div_"+id+" input").prop('required', true);
    }

</script>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('after-styles'); ?>
    <link href="<?php echo e(asset('css/jquery.flexdatalist.min.css')); ?>" rel="stylesheet">
    <style>
        .filepond--item[data-drag-state]{
            width: 48% !important;
            display: inline-block !important;
        }
        .filepond--root .filepond--credits[style]{
            display: none !important;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('after-scripts'); ?>
    <script src="<?php echo e(asset('js/jquery.flexdatalist.min.js')); ?>"></script>
    <script>
        $("#productCreateForm input").on('keyup keypress',function(e) {
            var keyCode = e.keyCode || e.which;
            if (keyCode === 13) {
                enter = keyCode;
                return false;
            }
        });

        $("#productCreateForm").validate({
            submitHandler: function(form) {

                if($('input[name*="photos"]').length === 4)
                {
                    // form.submit();
                    var form = $(form);
                    var actionUrl = form.attr('action');
                    $.ajax({
                        type: "POST",
                        url: actionUrl,
                        data: form.serialize(), // serializes the form's elements.
                        beforeSend : function(){
                            $('#size_on_label').val('');
                            $('#damage_preset').val( $('#damage_preset').find("option[selected]").val() );
                            $('.original_variant select').val('');
                            $('#variants_cloned').html('');
                            $('.type_field_input').val('');
                            window.scrollTo(0, 0);
                            removeFilesToPond();
                            $('#ajax_call_alerts').html('<div class="alert alert-success header-message" role="alert"> Submitting... <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <span aria-hidden="true">&times;</span></button></div>');

                            window.onbeforeunload = function() {
                                return "are you sure you want to leave?";
                            }
                        },
                        success: function(data)
                        {
                            $('#ajax_call_alerts').html('<div class="alert alert-success header-message" role="alert"> The product was successfully created. <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <span aria-hidden="true">&times;</span></button></div>');
                            window.onbeforeunload = null;
                            $('#unique_tag').val(data.unique_tag);
                        },
                        error: function(xhr, status, error) {
                            $('#ajax_call_alerts').html('<div class="alert alert-danger header-message" role="alert"> <b>Error Type: </b>'+ error +', <br> <b>Error:</b> '+ xhr.responseJSON.message +' <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <span aria-hidden="true">&times;</span></button></div>');
                        }
                    });

                }else{
                    $('#photos-error').html('Photos must be 4 minimum.');
                    window.scrollTo(0, 0);
                    $('#productCreateForm button.btn').prop('disabled', false);        // enables button
                    return false;
                }
            }
        });

        $('#productCreateForm input, #productCreateForm select').on('keyup blur', function () { // fires on every keyup & blur
            $('#productCreateForm button.btn').prop('disabled', false);        // enables button
        });

        $("#type_id").trigger('change');

        // $("#brand_id").flexdatalist({
        //     noResultsText: false,
        //     searchContain: true,
        //     searchDelay: 100,
        //     minLength: 0
        // });
            $("#damage_preset").on('change', function(){
                if($(this).val() == "Other"){
                    $(this).attr('name', '');
                    $('#damage_preset_text').attr('name', 'damage_preset');
                    $('#damage_preset_text').show();
                }else{
                    $(this).attr('name', 'damage_preset');
                    $('#damage_preset_text').attr('name', '');
                    $('#damage_preset_text').hide();
                }
            });


            $(document).on("change", "#rework_check", function () {
                    if($(this).is(':checked')){
                        $(".rework_field").removeClass('rework_field_hide');
                        $(".true_size_field").removeClass('true_size_field_hide');
                        $("#rework_id").attr('name', 'rework');
                    }else{
                        $(".rework_field").addClass('rework_field_hide');
                        $(".true_size_field").addClass('true_size_field_hide');
                        $("#rework_id").attr('name', '');
                    }
            });

        // this is the id of the form
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/web2/resources/views/backend/product/create.blade.php ENDPATH**/ ?>