<?php

namespace App\Domains\Product\Enums;

use BenSampo\Enum\Enum;

/**
 * @method static static PRODUCT_TYPE()
 * @method static static SIZE()
 * @method static static PRICE()
 * @method static static BRAND()
 * @method static static GENDER()
 */

class DescriptionFormat extends Enum
{
    const _PRODUCT_TYPE_ = 'type_id';
    const _SIZE_ = 'size_on_label';
    const _PRICE_ = 'price_formated';
    const _BRAND_ = 'brand_id';
    const _GENDER_ = 'gender';
}
