<?php

namespace App\Domains\Product\Http\Requests\Product;

use Illuminate\Foundation\Http\FormRequest;

class ArrivalCheckProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'type_id' => 'required',
            'damage_preset' => 'required',
            'size_on_label' => 'required',
            'brand_id' => 'required',
            'variant_value' => 'required',
            'price' => 'required',
            'vcuk' => 'required',
        ];
    }
}
