<?php

namespace App\Domains\Product\Models;

use App\Domains\Product\Models\Traits\Relationship\ProductBelongTo;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductDetail extends Model
{
    use HasFactory, ProductBelongTo;

    protected $fillable = ['product_id', 'name', 'value'];
}
