<?php

namespace App\Domains\Product\Models\Setting;

use App\Domains\Product\Models\Traits\Relationship\ProductBelongTo;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class RecommendedSize extends Model
{
    use HasFactory, ProductBelongTo, SoftDeletes;

    protected $fillable = ['name', 'value'];
}
