<x-livewire-tables::bs4.table.cell>
    {{ $row->unique_tag }}
</x-livewire-tables::bs4.table.cell>

<x-livewire-tables::bs4.table.cell>
    {{ isset($row->type->name) ? $row->type->name : NULL }}
</x-livewire-tables::bs4.table.cell>

<x-livewire-tables::bs4.table.cell>
    {{ $row->damage_preset }}
</x-livewire-tables::bs4.table.cell>

<x-livewire-tables::bs4.table.cell>
    {{ $row->size_on_label }}
</x-livewire-tables::bs4.table.cell>

<x-livewire-tables::bs4.table.cell>
    {{ isset($row->brand->name) ? $row->brand->name : NULL }}
</x-livewire-tables::bs4.table.cell>

<x-livewire-tables::bs4.table.cell>
    {{ $row->price }}
</x-livewire-tables::bs4.table.cell>

<x-livewire-tables::bs4.table.cell>
    {{ $row->embroidered_or_printed }}
</x-livewire-tables::bs4.table.cell>

<x-livewire-tables::bs4.table.cell>
    {{ \Str::replace('_', ' ', ucfirst($row->stage)) }}
</x-livewire-tables::bs4.table.cell>

<x-livewire-tables::bs4.table.cell>
    <a href="{{route('admin.product.edit', $row->id)}}" class="btn btn-primary btn-sm">Edit</a>

    @if($row->trashed())
            <a href="{{route('admin.product.restore', $row->id)}}" class="btn btn-warning btn-sm">Restore</a>
    @else
        <form action="{{route('admin.product.delete', $row->id)}}" method="POST" class="d-inline-block" onsubmit="return confirm('Are you sure?');">
            @csrf
            @method('delete')
            <button type="submit" class="btn btn-danger btn-sm">Delete</button>
        </form>
    @endif
</x-livewire-tables::bs4.table.cell>
