<x-backend.card>
    <x-slot name="header">
        @lang('True Size')
    </x-slot>

    <x-slot name="body">

        <table class="table table-bordered">
            <thead>
                <th>Value</th>
                <th>Action</th>
            </thead>
            <tbody>
            @foreach($truesizes as $truesize)
                <tr>
                    <td>{{$truesize->name}}</td>
                    <td>
                        <form action="{{route('admin.setting.truesize.update', $truesize->id)}}" method="POST" id="truesize_update_{{$truesize->id}}" style="display: none" class="form-inline">
                            @csrf
                            @method('PUT')
                            <div class="form-group col-lg-6">
                                <input name="name" class="form-control w-100" value="{{$truesize->name}}" required>
                            </div>
                            <div class="form-group col-lg-3">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-3">
                                <button type="button" onclick="hideUpdateForm('truesize', '{{$truesize->id}}')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>

                        <span id="truesize_action_{{$truesize->id}}">
                            <button onclick="showUpdateForm('truesize', '{{$truesize->id}}')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                            <form action="{{route('admin.setting.truesize.delete', $truesize->id)}}" onsubmit="return confirm('Are you sure?');" method="POST" class="d-inline-block">
                                @csrf @method('delete')
                                <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                            </form>
                        </span>
                    </td>
                </tr>
            @endforeach
            <tr>
                <td colspan="2">
                    <form action="{{route('admin.setting.truesize.store')}}" method="POST" class="form-inline">
                        @csrf
                        <div class="form-group col-lg-9">
                            <input name="name" class="form-control w-100" placeholder="Add New" required>
                        </div>
                        <div class="form-group col-lg-3">
                            <button type="submit" class="btn btn-primary w-100">Add</button>
                        </div>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>

    </x-slot>
</x-backend.card>
