@extends('backend.layouts.app')

@section('title', __('Settings'))

@section('content')
    <div class="row">
        <div class="col-lg-6">
            @include('backend.setting.includes.partials.tag')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.type')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.type-field')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.damage-preset')
        </div>

        <div class="col-lg-6">
            @include('backend.setting.includes.partials.rework')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.size-on-label')
        </div>

        <div class="col-lg-6">
            @include('backend.setting.includes.partials.true-size')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.embroidered-printed')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.brand')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.era')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.variant')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.detail')
        </div>


        <div class="col-lg-12">
            @include('backend.setting.includes.partials.bundle-deal')
        </div>

        <div class="col-lg-6">
            @include('backend.setting.includes.partials.gender')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.shopify')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.depop')
        </div>


        <div class="col-lg-6">
            @include('backend.setting.includes.partials.asos')
        </div>

        <div class="col-lg-6">
            @include('backend.setting.includes.partials.rework-shopify')
        </div>

        <div class="col-lg-6">
            @include('backend.setting.includes.partials.rework-depop')
        </div>

        <div class="col-lg-6">
            @include('backend.setting.includes.partials.rework-asos')
        </div>


    </div>
@endsection

@push('after-scripts')
    <script>
        function showUpdateForm(module, id)
        {
            $('#' + module + '_action_' + id).hide();
            $('#' + module + '_update_' + id).show();
            var input = $('#' + module + '_update_' + id + ' input');
            input.focus();
        }

        function hideUpdateForm(module, id)
        {
            $('#' + module + '_action_' + id).show();
            $('#' + module + '_update_' + id).hide();
        }
    </script>
@endpush
