<?php $__env->startSection('title', __('View User')); ?>

<?php $__env->startSection('content'); ?>
    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.backend.card','data' => []]); ?>
<?php $component->withName('backend.card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
         <?php $__env->slot('header', null, []); ?> 
            <?php echo app('translator')->get('View User'); ?>
         <?php $__env->endSlot(); ?>

         <?php $__env->slot('headerActions', null, []); ?> 
            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.utils.link','data' => ['class' => 'card-header-action','href' => route('admin.auth.user.index'),'text' => __('Back')]]); ?>
<?php $component->withName('utils.link'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['class' => 'card-header-action','href' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('admin.auth.user.index')),'text' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(__('Back'))]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
         <?php $__env->endSlot(); ?>

         <?php $__env->slot('body', null, []); ?> 
            <table class="table table-hover">
                <tr>
                    <th><?php echo app('translator')->get('Type'); ?></th>
                    <td><?php echo $__env->make('backend.auth.user.includes.type', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?></td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('Avatar'); ?></th>
                    <td><img src="<?php echo e($user->avatar); ?>" class="user-profile-image" /></td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('Name'); ?></th>
                    <td><?php echo e($user->name); ?></td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('E-mail Address'); ?></th>
                    <td><?php echo e($user->email); ?></td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('Status'); ?></th>
                    <td><?php echo $__env->make('backend.auth.user.includes.status', ['user' => $user], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?></td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('Verified'); ?></th>
                    <td><?php echo $__env->make('backend.auth.user.includes.verified', ['user' => $user], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?></td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('2FA'); ?></th>
                    <td><?php echo $__env->make('backend.auth.user.includes.2fa', ['user' => $user], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?></td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('Timezone'); ?></th>
                    <td><?php echo e($user->timezone ?? __('N/A')); ?></td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('Last Login At'); ?></th>
                    <td>
                        <?php if($user->last_login_at): ?>
                            <?php echo e(Timezone::convertToLocal($user->last_login_at)); ?>
                        <?php else: ?>
                            <?php echo app('translator')->get('N/A'); ?>
                        <?php endif; ?>
                    </td>
                </tr>

                <tr>
                    <th><?php echo app('translator')->get('Last Known IP Address'); ?></th>
                    <td><?php echo e($user->last_login_ip ?? __('N/A')); ?></td>
                </tr>

                <?php if($user->isSocial()): ?>
                    <tr>
                        <th><?php echo app('translator')->get('Provider'); ?></th>
                        <td><?php echo e($user->provider ?? __('N/A')); ?></td>
                    </tr>

                    <tr>
                        <th><?php echo app('translator')->get('Provider ID'); ?></th>
                        <td><?php echo e($user->provider_id ?? __('N/A')); ?></td>
                    </tr>
                <?php endif; ?>

                <?php if(config('boilerplate.access.user.role.roles')): ?>
                    <tr>
                        <th><?php echo app('translator')->get('Roles'); ?></th>
                        <td><?php echo $user->roles_label; ?></td>
                    </tr>

                    <tr>
                        <th><?php echo app('translator')->get('Additional Permissions'); ?></th>
                        <td><?php echo $user->permissions_label; ?></td>
                    </tr>
                <?php endif; ?>
            </table>
         <?php $__env->endSlot(); ?>

         <?php $__env->slot('footer', null, []); ?> 
            <small class="float-right text-muted">
                <strong><?php echo app('translator')->get('Account Created'); ?>:</strong> <?php echo e(Timezone::convertToLocal($user->created_at)); ?> (<?php echo e($user->created_at->diffForHumans()); ?>),
                <strong><?php echo app('translator')->get('Last Updated'); ?>:</strong> <?php echo e(Timezone::convertToLocal($user->updated_at)); ?> (<?php echo e($user->updated_at->diffForHumans()); ?>)

                <?php if($user->trashed()): ?>
                    <strong><?php echo app('translator')->get('Account Deleted'); ?>:</strong> <?php echo e(Timezone::convertToLocal($user->deleted_at)); ?> (<?php echo e($user->deleted_at->diffForHumans()); ?>)
                <?php endif; ?>
            </small>
         <?php $__env->endSlot(); ?>
     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/web2/resources/views/backend/auth/user/show.blade.php ENDPATH**/ ?>