<?php $model = app('\App\Domains\Product\Models\Product'); ?>



<?php $__env->startSection('title', __('Upload Product')); ?>

<?php $__env->startSection('content'); ?>

    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.forms.post','data' => ['action' => route('admin.product.upload.product.store', $product->id),'id' => 'uploadForm','enctype' => 'multipart/form-data']]); ?>
<?php $component->withName('forms.post'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['action' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('admin.product.upload.product.store', $product->id)),'id' => 'uploadForm','enctype' => 'multipart/form-data']); ?>
        <?php echo method_field('PUT'); ?>
        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.backend.card','data' => []]); ?>
<?php $component->withName('backend.card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
             <?php $__env->slot('header', null, []); ?> 
                <?php echo app('translator')->get('Upload Product'); ?>
             <?php $__env->endSlot(); ?>

             <?php $__env->slot('headerActions', null, []); ?> 
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.utils.link','data' => ['class' => 'card-header-action','href' => route('admin.product.arrival_check'),'text' => __('Cancel')]]); ?>
<?php $component->withName('utils.link'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['class' => 'card-header-action','href' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(route('admin.product.arrival_check')),'text' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(__('Cancel'))]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
             <?php $__env->endSlot(); ?>



             <?php $__env->slot('body', null, []); ?> 
                <div class="row">

                    <table class="table-bordered w-100">
                        <tr>
                            <th colspan="2" class="text-center">
                                <?php
                                    $shopifySlug = json_decode($product->shopify_response);
                                ?>

                                <?php if(isset($shopifySlug->product->id)): ?>
                                    <a class="text-dark" target="_blank" href="<?php echo e(config('shopify.shopify_domain').'/admin/products/'.$shopifySlug->product->id); ?>">
                                        <?php echo descriptionFormated($product, Setting::option('shopify_title_format'), $shopify = false, $allow_br = false); ?>

                                    </a>
                                <?php else: ?>
                                    <?php echo descriptionFormated($product, Setting::option('shopify_title_format'), $shopify = false, $allow_br = false); ?>

                                <?php endif; ?>
                            </th>
                        </tr>
                        <tr>
                            <th colspan="2" class="text-center">
                                <a id="downloadAllButton"><?php echo app('translator')->get('Download Images'); ?></a>
                                <div style="display: none;">
                                    <?php $__currentLoopData = $product->photos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $photo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <img class="w-100 download_file" src="<?php echo e(route('download.images', [$photo->id])); ?>">
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </th>
                        </tr>
                        <tr>
                            <th class="text-center">Depop Product Information:</th>
                            <th class="text-center">ASOS Product Information:</th>
                        </tr>
                        <tr>
                            <?php if($product->reworks): ?>
                            <td <?php if($product->not_depop != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>>
                                <?php echo e(descriptionFormated($product, Setting::option('rework_depop_title_format'), $shopify = false, $allow_br = false)); ?>

                            </td>
                            <?php else: ?>
                            <td <?php if($product->not_depop != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>>
                                <?php echo e(descriptionFormated($product, Setting::option('depop_title_format'), $shopify = false, $allow_br = false)); ?>

                            </td>
                            <?php endif; ?>

                            <?php if($product->reworks): ?>
                            <td <?php if($product->not_asos != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>>
                                <?php
                                    $asos_title = descriptionFormated($product, Setting::option('rework_asos_title_format'), $shopify = false, $allow_br = false);
                                    if(strlen($asos_title) <= 60)
                                    {
                                        echo $asos_title;
                                    }else{
                                        echo substr($asos_title, 0, strpos(wordwrap($asos_title, 60), PHP_EOL));
                                    }
                                ?>
                            </td>
                            <?php else: ?>
                            <td <?php if($product->not_asos != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>>
                                <?php
                                    $asos_title = descriptionFormated($product, Setting::option('asos_title_format'), $shopify = false, $allow_br = false);
                                    if(strlen($asos_title) <= 60)
                                    {
                                        echo $asos_title;
                                    }else{
                                        echo substr($asos_title, 0, strpos(wordwrap($asos_title, 60), PHP_EOL));
                                    }
                                ?>
                            </td>
                            <?php endif; ?>
                        </tr>
                        <tr>
                            
                        <?php if($product->reworks): ?>
                            <td style="background: #ffffcc"; <?php if($product->not_depop != 1): ?> onclick="clickToCopyTextarea('rework_depop_description_textarea')" <?php endif; ?>><?php echo descriptionFormated($product, Setting::option('rework_depop_description_format')); ?></td>
                            <textarea id="rework_depop_description_textarea"><?php echo strip_tags(\Str::replace('<br>', PHP_EOL, descriptionFormated($product, Setting::option('rework_depop_description_format')))); ?></textarea>
                        <?php else: ?>
                        <td <?php if($product->not_depop != 1): ?> onclick="clickToCopyTextarea('depop_description_textarea')" <?php endif; ?>><?php echo descriptionFormated($product, Setting::option('depop_description_format')); ?></td>
                            <textarea id="depop_description_textarea"><?php echo strip_tags(\Str::replace('<br>', PHP_EOL, descriptionFormated($product, Setting::option('depop_description_format')))); ?></textarea>
                        <?php endif; ?>
                        <?php if($product->reworks): ?>
                            <td style="background: #ffffcc"; <?php if($product->not_asos != 1): ?> onclick="clickToCopyTextarea('rework_asos_description_textarea')" <?php endif; ?>><?php echo descriptionFormated($product, Setting::option('rework_asos_description_format')); ?></td>
                            <textarea id="rework_asos_description_textarea"><?php echo strip_tags(\Str::replace('<br>', PHP_EOL, descriptionFormated($product, Setting::option('rework_asos_description_format')))); ?></textarea>
                        <?php else: ?>
                        <td <?php if($product->not_asos != 1): ?> onclick="clickToCopyTextarea('asos_description_textarea')" <?php endif; ?>><?php echo descriptionFormated($product, Setting::option('asos_description_format')); ?></td>
                            <textarea id="asos_description_textarea"><?php echo strip_tags(\Str::replace('<br>', PHP_EOL, descriptionFormated($product, Setting::option('asos_description_format')))); ?></textarea>
                        <?php endif; ?>
                        </tr>
                        <tr>
                            <td <?php if($product->not_depop != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e($product->size_on_label); ?></td>
                            <td <?php if($product->not_asos != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e($product->size_on_label); ?></td>
                        </tr>
                        <tr>
                            <td <?php if($product->not_depop != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e(priceRound($product->price)); ?></td>
                            <td <?php if($product->not_asos != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e(priceRound(ceil($product->price + (8 / 100 * $product->price))-0.1)); ?></td>
                        </tr>
                        <tr>
                            <td <?php if($product->not_depop != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e(isset($product->brand->name) ? $product->brand->name : NULL); ?></td>
                            <td <?php if($product->not_asos != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e(isset($product->brand->name) ? $product->brand->name : NULL); ?></td>
                        </tr>
                        <tr>
                            <td <?php if($product->not_depop != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e(isset($product->type->name) ? $product->type->name : ''); ?></td>
                            <td <?php if($product->not_asos != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e(isset($product->type->name) ? $product->type->name : ''); ?></td>
                        </tr>
                        <?php
                        if($product->gender == "Men's"){
                            $color = "#67a2df";
                        }else{
                            $color = "pink";
                        }
                        ?>

                        
                        <tr>
                            <td style="background: <?php echo e($color); ?>" <?php if($product->not_depop != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e($product->gender); ?></td>
                            <td style="background: <?php echo e($color); ?>" <?php if($product->not_asos != 1): ?> onclick="clickToCopy(this)" <?php endif; ?>><?php echo e($product->gender); ?></td>
                        </tr>
                        <tr>
                            <td>
                                <div class="form-group col-lg-12">
                                    <input <?php if($product->not_depop == 1): ?> disabled <?php endif; ?> name="depop_link" value="<?php echo e($product->depop_link); ?>" class="form-control mt-2 w-100" placeholder="Enter a new link to this product Depop" required>
                                </div>
                            </td>
                            <td>
                                <div class="form-group col-lg-12">
                                    <input <?php if($product->not_asos == 1): ?> disabled <?php endif; ?>  name="asos_link" value="<?php echo e($product->asos_link); ?>" class="form-control mt-2 w-100" placeholder="Enter a new link to this product ASOS" required>
                                </div>
                            </td>
                        </tr>
                    </table>

                </div>
             <?php $__env->endSlot(); ?>

             <?php $__env->slot('footer', null, []); ?> 
                <button class="btn btn-sm btn-primary float-right" type="submit"><?php echo app('translator')->get('Next'); ?></button>
                <p class="btn btn-sm btn-default font-weight-bold float-right" type="submit"><?php echo e($model->where('stage', $model::STAGE_UPLOADED)->whereDate('updated_at', today())->count()); ?> <?php echo app('translator')->get('Uploads today'); ?></p>

             <?php $__env->endSlot(); ?>
         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('after-scripts'); ?>
<script>
    function addAnotherVariant(id){
        $('#variants_for_clone'+id).clone().appendTo('#variants_cloned');
    }

    function getProductTypeFields(id)
    {
        $(".type_fields_div").hide();
        $(".type_fields_div_"+id).show();
    }
    $(".type_fields_div_<?php echo e($product->type_id); ?>").show();

    $('#downloadAllButton').click(function() {
        $('img.download_file').each(function() {
            $this = $(this);                      //save the $(this) object
            $('body').append($('<a>')       //append a new '<a>' element to the DOM
                .css('display', 'none')             //hide the new '<a>' element
                .attr('href', $this.attr('src'))  //make the image path the link href
                .attr('download', $this.attr('src').replace('<?php echo e(Storage::url('products/')); ?>', ''))           //keep the file name
                .append($this.clone()))       //copy the image into the new '<a>' element
                .find('img:last()')         //obtain a reference to the copied image
                .trigger( 'click' );      //fire the click event

            $('a:last()').remove();
        });
        return false;
    });

</script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('after-styles'); ?>
    <style>
        table th{
            padding: 10px;
            background: #ebedef4f;
        }
        table td{
            padding: 10px;
            width: 50%;
        }
        table a{
            cursor: pointer;
        }
        table td{
            cursor: grabbing;
            vertical-align: top;
        }
        <?php if($product->not_depop == 1): ?>
            table td:first-child {
                background: #d8dbe0;
                cursor: not-allowed;
            }
        <?php endif; ?>

        <?php if($product->not_asos == 1): ?>
            table td:nth-child(2) {
                background: #d8dbe0;
                cursor: not-allowed;
            }
        <?php endif; ?>
        textarea{
            width: 0px;
            height: 0px;
            border:0px;
            resize: none;
            display: none;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('after-scripts'); ?>
    <script>
        $("#uploadForm").validate({
            submitHandler: function(form) {
                form.submit();
            }
        });

        $('#uploadForm input').on('keyup blur', function () { // fires on every keyup & blur
            if ($('#uploadForm').valid()) {                   // checks form for validity
                $('#uploadForm button.btn').prop('disabled', false);        // enables button
            } else {
                $('#uploadForm button.btn').prop('disabled', 'disabled');   // disables button
            }
        });

        function clickToCopy(element) {
            var $temp = $("<input>");
            var brRegex = /<br\s*[\/]?>/gi;
            $("body").append($temp);
            $temp.val($(element).text().trim()).select();
            document.execCommand("copy");
            $temp.remove();
            activeSnakeBar('Copied!');
        }

        function clickToCopyTextarea(element) {
            $('#'+element).show();
            $('#'+element).select();
            document.execCommand("copy");
            $('#'+element).hide();
            activeSnakeBar('Copied!');
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/web2/resources/views/backend/product/upload-create.blade.php ENDPATH**/ ?>