<?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.backend.card','data' => []]); ?>
<?php $component->withName('backend.card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <?php echo app('translator')->get('VCUK Number'); ?>
     <?php $__env->endSlot(); ?>

     <?php $__env->slot('body', null, []); ?> 

        <table class="table table-bordered">
            <thead>
            <th>Type</th>
            <th>Value</th>
            <th>Action</th>
            </thead>
            <tbody>
            <?php
                $tag = \App\Domains\Product\Models\UniqueTag::first();
            ?>
            <?php if($tag): ?>
                <tr>
                    <td>Unique Tag</td>
                    <td><?php echo e($tag->value); ?></td>
                    <td>
                        <form action="<?php echo e(route('admin.setting.tag.update', $tag->id)); ?>" method="POST" id="tag_update_<?php echo e($tag->id); ?>" style="display: none" class="form-inline">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>
                            <div class="form-group col-lg-6">
                                <input name="value" class="form-control w-100" value="<?php echo e($tag->value); ?>" placeholder="Value" required>
                            </div>
                            <div class="form-group col-lg-6 mt-1">
                                <button type="submit" class="btn btn-primary w-100">Update</button>
                            </div>
                            <div class="form-group col-lg-6 mt-1">
                                <button type="button" onclick="hideUpdateForm('tag', '<?php echo e($tag->id); ?>')" class="btn btn-default w-100">Cancel</button>
                            </div>
                        </form>
                        <span id="tag_action_<?php echo e($tag->id); ?>">
                            <button onclick="showUpdateForm('tag', '<?php echo e($tag->id); ?>')" class="btn btn-sm btn-primary d-inline-block" type="button">Edit</button>
                        </span>
                    </td>
                </tr>
            <?php else: ?>
                <tr>
                    <td colspan="3">
                        <form action="<?php echo e(route('admin.setting.tag.store')); ?>" method="POST" class="form-inline">
                            <?php echo csrf_field(); ?>
                            <div class="form-group col-lg-5">
                                <input name="value" class="form-control w-100" placeholder="Add New" required>
                            </div>
                            <div class="form-group col-lg-2">
                                <button type="submit" class="btn btn-primary w-100">Add</button>
                            </div>
                        </form>
                    </td>
                </tr>
            <?php endif; ?>
            </tbody>
        </table>

     <?php $__env->endSlot(); ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
<?php /**PATH /var/www/html/web2/resources/views/backend/setting/includes/partials/tag.blade.php ENDPATH**/ ?>